## 0.9.3

Powerful further UX improvements and even more stability and overdraw visualization in
editor and runtime to help diagnosing overdraw performance issues.

**Editor**
- Added "Overdraw Visualization" in Scene View
- Added shadow cascade count setting for sun lights
- Fixed up/down keys on Scene Outline causing jumping of selection
- Fixed crash when reparenting to a child of the reparented object
- Fixed reparenting of multiple objects to root
- Fixed texture streaming artefacts on non-power-of-two textures
- Fixed `dhParamsFile` preference not loaded correctly
- Fixed "Save changes?" dialog not closing
- Fixed expansion of hierarchies in Scene Outline to reveal selected object
- Fixed uncompressed atlas size drowdown showing options only available for compressed atlas
- Fixed rare cases of font sizes not correct on high DPI displays

**Engine**
- Implemented variable cascade counts for sun lights
- Fixed normals and normal mapping on doubleSided Phong and Physical shaders
- Fixed some color bleeding artefacts on uncompressed textures
- Fixed artefacts in rendering of sun light shadows on Meta Quest 2

**Runtime**
- Added version number during loading screen (mouse over bottom right corner to unveil)
- Fixed mouse clicks blocked by VR button on lower part of canvas
- Fixed loading of shininess property
- Fixed texture streaming issues when switching scene to another `.bin` files
- Added overdraw visualization at runtime
- Fixed rare runtime crash on material change in JavaScript events outside of the draw loop

**JavaScript API**
- Fix `WL.Object.children` limited to 512 objects

